Creates the common draft catalog entry.
1 min
POST
/episerverapi/commerce/entries/commondraft/{lang}
Path Parameters
- langstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaulttext/plainAllowedtext/plainapplication/jsontext/json
Body Parameters
- bodyDraftEntryDescription
- codestringDescription
- namestringDescription
- startDatestring<date-time>DescriptionFormatdate-time
- endDatestring<date-time>DescriptionFormatdate-time
- metaClassstringDescription
- catalogstringDescription
- pricesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- entryTypestringDescription
- childCatalogEntriesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- inventoryStatusstringDescription
- warehouseInventoriesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- associationsResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- assetsResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- nodesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- variationVariationProperties
- minQuantitynumber<double>DescriptionFormatdouble
- maxQuantitynumber<double>DescriptionFormatdouble
- weightnumber<double>DescriptionFormatdouble
- taxCategorystringDescription
- dimensionDimensionPropertiesDescription
- lengthnumber<double>DescriptionFormatdouble
- heightnumber<double>DescriptionFormatdouble
- widthnumber<double>DescriptionFormatdouble
- metaFieldsDraftMetaFieldProperty[]Description
- namestringDescription
- typestringDescription
- datastringDescription
- seoInformationDraftSeoInfoDescription
- titlestringDescription
- uristringDescription
- uriSegmentstringDescription
- descriptionstringDescription
- keywordsstringDescription
Responses
200
- DraftEntry
- codestringDescription
- namestringDescription
- startDatestring<date-time>DescriptionFormatdate-time
- endDatestring<date-time>DescriptionFormatdate-time
- metaClassstringDescription
- catalogstringDescription
- pricesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- entryTypestringDescription
- childCatalogEntriesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- inventoryStatusstringDescription
- warehouseInventoriesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- associationsResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- assetsResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- nodesResourceLink[]Description
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- variationVariationProperties
- minQuantitynumber<double>DescriptionFormatdouble
- maxQuantitynumber<double>DescriptionFormatdouble
- weightnumber<double>DescriptionFormatdouble
- taxCategorystringDescription
- dimensionDimensionPropertiesDescription
- lengthnumber<double>DescriptionFormatdouble
- heightnumber<double>DescriptionFormatdouble
- widthnumber<double>DescriptionFormatdouble
- metaFieldsDraftMetaFieldProperty[]Description
- namestringDescription
- typestringDescription
- datastringDescription
- seoInformationDraftSeoInfoDescription
- titlestringDescription
- uristringDescription
- uriSegmentstringDescription
- descriptionstringDescription
- keywordsstringDescription
400
401
curl
curl --request POST \
--url /episerverapi/commerce/entries/commondraft/{lang} \
--header 'accept: text/plain'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "text/plain");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/entries/commondraft/{lang}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/entries/commondraft/{lang}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["accept"] = "text/plain"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/entries/commondraft/{lang}"
payload = {}
headers = {
'accept': 'text/plain',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The common draft catalog entry is saved.
{
"code": "",
"name": "",
"startDate": "",
"endDate": "",
"metaClass": "",
"catalog": "",
"prices": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"entryType": "",
"childCatalogEntries": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"inventoryStatus": "",
"warehouseInventories": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"associations": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"assets": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"nodes": [
{
"title": "",
"type": "",
"href": "",
"properties": [
{
"name": "",
"value": ""
}
]
}
],
"variation": {
"minQuantity": "",
"maxQuantity": "",
"weight": "",
"taxCategory": ""
},
"dimension": {
"length": "",
"height": "",
"width": ""
},
"metaFields": [
{
"name": "",
"type": "",
"data": ""
}
],
"seoInformation": {
"title": "",
"uri": "",
"uriSegment": "",
"description": "",
"keywords": ""
}
}400
// If the common draft catalog entry model is not valid.
401
// If user does not have enough permission for this request.